@import '../../styles/main.scss';

.side-drawer {
  position: absolute;
  top: $header-height;
  height: calc(100vh - #{$header-height});
  transition-property: left;
  transition-duration: 0.25s;
  z-index: 100;
  background-color: #FFF;

  width: 15vw;
  left: -15vw;

  @include mobile {
    width: 80vw;
    left: -80vw;
  }

  &__show {
    left: 0;
  }

  &__hidden {
    left: -15vw;
    
    @include mobile {
      left: -80vw;
    }
  }

  &__element {
    width: 100%;
    height: 50px;
    border-bottom: 1px solid $color-hover;
    @include flex-row;
    justify-content: flex-start;
    cursor: pointer;

    &:hover {
      background-color: rgba(0, 0, 0, 0.1);
    }
  }

  &__element-txt {
    margin: 0 $space-sm;
    width: 100%;

    @include flex-row;
    justify-content: space-between;
  }
}